<template>
  <table id="example" class="table" style="width:100%">
    <thead>
    <tr class="hideBorderTable">
      <th class="align-middle" @click="sortTable(0)">Nombre</th>
      <th class="text-right align-middle" @click="sortTable(1)">Horario</th>
      <th class="text-right align-middle">Acción</th>
    </tr>
    </thead>
    <tbody>
    <tr v-for="reservation in reservations" :key="reservation.name">
      <td class="align-middle"><strong>{{reservation.name}}</strong></td>
      <td class="text-right align-middle">de {{reservation.startTime}} a {{reservation.endTime}}</td>
      <td class="text-right align-middle">
        <button class="btn btn-light bg-transparent" type="submit">
          <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash-fill text-black-50" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5a.5.5 0 0 0-1 0v7a.5.5 0 0 0 1 0v-7z"/>
          </svg>
        </button>
      </td>
    </tr>
    </tbody>
  </table>
</template>

<script>

export default {
name: "ReservationList",
  computed: {

    reservations() {return  this.$store.getters.getReservations}

  },
  methods:{
    sortTable(n) {
      var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
      table = document.getElementById("example");
      switching = true;
      dir = "asc";
      while (switching) {
        switching = false;
        rows = table.rows;
        for (i = 1; i < (rows.length - 1); i++) {
          shouldSwitch = false;
          x = rows[i].getElementsByTagName("TD")[n];
          y = rows[i + 1].getElementsByTagName("TD")[n];
          if (dir == "asc") {
            if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {
              shouldSwitch = true;
              break;
            }
          } else if (dir == "desc") {
            if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
              shouldSwitch = true;
              break;
            }
          }
        }
        if (shouldSwitch) {
          rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
          switching = true;
          switchcount ++;
        } else {
          if (switchcount == 0 && dir == "asc") {
            dir = "desc";
            switching = true;
          }
        }
      }
    }
  }
}
</script>

<style scoped>
  th {
    font-weight: normal;
  }
  .hideBorderTable {
    border-top: hidden;
  }
  tr {
    font-size: 0.8rem;
  }
</style>